#
# Conditional build:
%bcond_without	static_libs	# don't build static library

Summary:	XML 1.0 parser
Summary(es.UTF-8):	Parser de XML 1.0
Summary(pl.UTF-8):	Analizator składni XML-a 1.0
Summary(pt_BR.UTF-8):	Biblioteca XML expat
Summary(ru.UTF-8):	Переносимая библиотека разбора XML (expat)
Summary(uk.UTF-8):	Переносима бібліотека розбору XML (expat)
Name:		expat
Version:	2.2.9
Release:	1
Epoch:		1
License:	MIT
Group:		Applications/Publishing/XML
Source0:	http://downloads.sourceforge.net/expat/%{name}-%{version}.tar.xz
# Source0-md5:	d2384fa607223447e713e1b9bd272376
URL:		http://www.libexpat.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	docbook2X
BuildRequires:	gcc >= 5:3.2
BuildRequires:	libtool >= 2:2.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	libexpat1_95
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Expat is an XML parser written in C. It aims to be fully conforming.
It is currently not a validating XML parser.

%description -l es.UTF-8
Expat es un parser de XML escrito en C. Pretende conformarse
totalmente al estándar. Actualmente no es un parser XML validante.

%description -l pl.UTF-8
Expat to napisany w języku C analizator składni XML-a. Dąży do pełnej
zgodności ze specyfikacją. Aktualnie nie jest analizatorem, który
potwiedzał by zgodność ze specyfikacją.

%description -l pt_BR.UTF-8
Esta é a biblioteca, em C, XML expat, de James Clark. É um analisador
orientado a fluxo de informações que pede o uso de handlers para lidar
com a estrutura que o analisador encontrar no documento.

%description -l ru.UTF-8
Expat -- парсер XML 1.0, написанный на C. Он предназначен для того,
чтобы быть полностью совместимым. В настоящее время это не проверяющий
("not a validating") XML парсер.

%description -l uk.UTF-8
Expat -- парсер XML 1.0, написаний на C. Розрахований на те, щоб бути
повністю сумісним. Наразі це не перевіряючий ("not a validating") XML
парсер.

%package devel
Summary:	Expat header files
Summary(es.UTF-8):	Archivos de inclusión del expat
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki expat
Summary(pt_BR.UTF-8):	Arquivos de inclusão do expat
Summary(ru.UTF-8):	Хедеры и библиотека, необходимые для программирования с expat
Summary(uk.UTF-8):	Хедери та бібліотека, необхідні для програмування з expat
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libexpat1_95-devel

%description devel
Expat header files.

%description devel -l es.UTF-8
Archivos de inclusión del expat.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki expat.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão do expat.

%description devel -l ru.UTF-8
Этот пакет содержит хедеры и библиотеки, необходимые для написания
программ, использующих libexpat.

%description devel -l uk.UTF-8
Цей пакет містить хедери та бібліотеки, необхідні для написання
програм, що використовують libexpat.

%package static
Summary:	Expat static library
Summary(es.UTF-8):	Biblioteca estática de expat
Summary(pl.UTF-8):	Biblioteka statyczna expat
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a biblioteca expat
Summary(ru.UTF-8):	Статическая библиотека для программирования с libexpat
Summary(uk.UTF-8):	Статична бібліотека для програмування з libexpat
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description static
Expat static library.

%description static -l es.UTF-8
Biblioteca estática de expat.

%description static -l pl.UTF-8
Biblioteka statyczna expat.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com a biblioteca expat.

%description static -l ru.UTF-8
Этот пакет содержит статическую библиотеку, необходимую для написания
программ, использующих libexpat.

%description static -l uk.UTF-8
Цей пакет містить статичну бібліотеку, необхідну для написання
програм, що використовують libexpat.

%package tools
Summary:	Expat utilities (xmlwf)
Summary(pl.UTF-8):	Programy narzędziowe do biblioteki Expat (xmlwf)
Group:		Applications/Text
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tools
Expat utilities:
- xmlwf: determines if an XML document is well-formed.

%description tools -l pl.UTF-8
Programy narzędziowe do biblioteki Expat:
- xmlwf: sprawdza, czy dokument XML jest dobrze sformułowany.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	DOCBOOK_TO_MAN=docbook2X2man \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_aclocaldir}
cp -p conftools/expat.m4 $RPM_BUILD_ROOT%{_aclocaldir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING Changes README.md
%attr(755,root,root) %{_libdir}/libexpat.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexpat.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{reference.html,style.css,*.png}
%attr(755,root,root) %{_libdir}/libexpat.so
%{_libdir}/libexpat.la
%{_includedir}/expat*.h
%{_aclocaldir}/expat.m4
%{_pkgconfigdir}/expat.pc
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexpat.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xmlwf
%{_mandir}/man1/xmlwf.1*
%changelog
* Thu Oct 24 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/expat.git;a=log;h=master

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> b0c60a8
- updated to 2.2.9

* Sun Sep 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 3be5340
- updated to 2.2.8 (fixes CVE-2019-15903)

* Sun Jul 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 2fa4eb4
- updated to 2.2.7 (possible DoS fix)
- removed obsolete ac_fixes patch

* Sat Sep 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 830b1e1
- updated to 2.2.6

* Wed Nov 08 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 53b65e6
- up to 2.2.5

* Tue Oct 03 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ba9c7ef
- up to 2.2.4

* Sun Aug 13 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 57b5070
- up to 2.2.3

* Wed Jun 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 049a5df
- updated to 2.2.1 (fixes CVE-2016-5300 CVE-2016-9063 CVE-2017-9233 and more security related issues)

* Sun Aug 14 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4114bb8
- rel 4; patch obsolete

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 65c953a
- -tools epoch fix, release 3

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 62ad487
- separated -tools, release 2

* Sun Jul 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 2bff052
- updated to 2.2.0 (fixes CVE-2012-6702 CVE-2016-0718 CVE-2016-4472 CVE-2016-5300
- updated ac_fixes patch

* Sun Mar 13 2016 Jakub Bogusz <qboosh@pld-linux.org> 92fedf3
- updated to 2.1.1 (fixes CVE-2015-1283)
- updated ac_fixes patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> d01de0d
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jul 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 996609b
- release 1
- note that 2.1.0 fixes CVE-2012-0876 CVE-2012-1147 CVE-2012-1148
  and old ones: CVE-2009-3270 CVE-2009-3560

* Sat Jul 28 2012 Elan Ruusamäe <glen@delfi.ee> c645eb5
- up to 2.1.0

* Sat Dec 03 2011 Elan Ruusamäe <glen@pld-linux.org> ab7ec1b
- package soname ghost

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 0259ce2
- dropped pre-cvs changelog

* Thu Aug 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8aca22d
- rel 4; security fixes

* Mon Aug 25 2008 witekfl <witekfl@pld-linux.org> 16ab3ef
- added images and examples to devel
- rel 3

